// 変数設定
const FIELD_ID1 = ""; // 自動発番するフィールドのID
const FIELD_ID2 = ""; // メールアドレスフィールドのID
const DISPLAY_FLG = "1"; // ビジュアル設定の場合は1　ソース設定の場合はデザインが崩れる場合があるので0
const BLOCK_SYM = ""; // 登録フォームブロックの識別名

// ーーーー以下は変更しないでくださいーーーー
window.onload = function () {
    onload_autonum();
};

function onload_autonum() {
    const param = "_ifbs-" + BLOCK_SYM;
    const url = new URL(window.location.href);
    const paramVal =  url.searchParams.get(param);
    const errorMsg = "登録の際にエラーが発生しました。<br>お手数おかけしますがもう一度お試しください。";
    const textAln = "center";
    const brNum = 4;

    if ( paramVal === "s1_Step1" ) {
        const hiddenValue = id_create("20", "", "@pi-pe.co.jp", "0,1");
        if (FIELD_ID1) { value_set(FIELD_ID1, hiddenValue, DISPLAY_FLG); }
        if (FIELD_ID2) { value_set(FIELD_ID2, hiddenValue, DISPLAY_FLG); }
    } else if ( paramVal === "completion" ) {
        const errorElement = document.querySelector("div#errorFlag");
        const errorFlag = errorElement.textContent;
        if (errorFlag !== "ok") {
            add_child_element(errorMsg, textAln);
            for (let i = 0; i < brNum; i++) { add_child_element("<br>", textAln); }
        }
    }
}
function id_create(idLength, prefix, suffix, idType) {
    var str = ["0123456789", "abcdefghijklmnopqrstuvwxyz"];
    var typspl = idType.split(',');
    var c = "";
    for (var j = 0; j < typspl.length; j++) {
        c += str[typspl[j]];
    }
    var cl = c.length;
    var r = "";
    for (var i = 0; i < idLength; i++) {
        r += c[Math.floor(Math.random() * cl)];
    }
    r = prefix + r + suffix;
    return r;
}
function value_set(fieldId, inpVal, dispFlg) {
    const fieldName = "f0" + fieldId;
    let name = document.getElementsByName(fieldName);
    if (name[0]) {
        name[0].value = inpVal;
        if (dispFlg === "1") { name[0].parentNode.parentNode.style.display ="none"; }
    }
    const fieldReen = fieldName + ":reenter";
    name = document.getElementsByName(fieldReen);
    if (name[0]) {
        name[0].value = inpVal;
    }
}
function add_child_element(text_str, text_align) {
    var parent = document.querySelector("div.sp-form-item.sp-form-html");
    var child = document.createElement("p");
    child.innerHTML = text_str;
    child.style.textAlign = text_align;
    child.style.color = '#ff0000';
    child = parent.appendChild(child);
}